कुंजी का अवलोकन
| कुंजी संस्करण | V4 |
|---|---|
| विनिर्देश | RFC 2440 · RFC 4880 · RFC 9580 |
| स्थिति | अनुकूल, लेकिन RFC 9580 ने इसे पदावनत कर दिया है |
| प्राथमिक कुंजी (प्रमाणित करना, हस्ताक्षर करना) | EdDSALegacy (Ed25519) · ID 22 |
| एन्क्रिप्शन उपकुंजी | ML-KEM-768 + X25519 · RFC 9980 · ID 35 |
| फ़िंगरप्रिंट | AC584FBB4E4BFB3F3117517C19FEE3A61E33390F |
| निजी कुंजी का पासफ़्रेज़ | synthetic-key-password |
एल्गोरिदम और उपयोग
EdDSALegacy (Ed25519): Curve25519 पर एडवर्ड्स कर्व हस्ताक्षर: छोटा, तेज़ और व्यापक रूप से समर्थित। साइनिंग और प्रमाणीकरण के लिए उपयोग करें।
ML-KEM-768 + X25519: हाइब्रिड पोस्ट-क्वांटम एन्क्रिप्शन: सेशन कुंजी ML-KEM-768 (FIPS 203) और X25519 दोनों से सुरक्षित है, इसलिए रिकॉर्ड किए गए संदेश इनमें से एक के बाद में टूट जाने पर भी गोपनीय रहते हैं। RFC 9980 इसे V6 कुंजियों में और एकमात्र पोस्ट-क्वांटम अपवाद के रूप में V4 एन्क्रिप्शन उपकुंजियों में अनुमति देता है।
सार्वजनिक कुंजी
सार्वजनिक प्रमाणपत्र, जिसमें प्राथमिक कुंजी, एन्क्रिप्शन उपकुंजी और उनके बाइंडिंग हस्ताक्षर हैं। हस्ताक्षर सत्यापित करने या इस परीक्षण पहचान के लिए एन्क्रिप्ट करने हेतु इसे इम्पोर्ट करें।
डाउनलोड करें → 2 229 बाइट
-----BEGIN PGP PUBLIC KEY BLOCK-----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=YW3j
-----END PGP PUBLIC KEY BLOCK-----
निजी कुंजी
ऊपर दिखाए गए पासफ़्रेज़ से सुरक्षित निजी कुंजी। केवल परीक्षण के लिए प्रकाशित: कोई भी इसका उपयोग कर सकता है।
डाउनलोड करें → 2 539 बाइट
दिखाएँ
-----BEGIN PGP PRIVATE KEY BLOCK-----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=bjmZ
-----END PGP PRIVATE KEY BLOCK-----
निरस्तीकरण प्रमाणपत्र
पहले से बनाया गया निरस्तीकरण प्रमाणपत्र। इसे इम्पोर्ट करने से कुंजी निरस्त के रूप में चिह्नित होती है; इसे प्रकाशित किया गया है ताकि आप निरस्त कुंजियों के साथ सॉफ़्टवेयर का व्यवहार जाँच सकें।
डाउनलोड करें → 2 391 बाइट
दिखाएँ
-----BEGIN PGP PUBLIC KEY BLOCK-----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=vwqW
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin का हस्ताक्षर
CH-J Tools में इस कुंजी से बनाया गया test_1MB.bin का अलग ASCII-armored हस्ताक्षर। इसे test_1MB.bin.asc नाम से परीक्षण फ़ाइल के पास सहेजें।
डाउनलोड करें → 228 बाइट
-----BEGIN PGP SIGNATURE-----
wnUEABYIAB0WIQSsWE+7Tkv7PzEXUXwZ/uOmHjM5DwUCaveO8QAKCRAZ/uOmHjM5
D653AQC2G25Kdenk4ZOf04W0kUdJ/bdhS9FOkiBlFwdjYjQUcgD+PpUQzGaFiUs9
k8WHJB3IDeHOgzDqDhKyBQt1Qwx6AwY=
=noNw
-----END PGP SIGNATURE-----
हस्ताक्षर सत्यापित करें
संस्करण 4 की कुंजियाँ GnuPG और sqop या rsop जैसे SOP टूल के साथ काम करती हैं, जहाँ तक एल्गोरिदम समर्थित हों। अस्थायी GNUPGHOME उपयोग करें ताकि परीक्षण कुंजी आपके वास्तविक कीरिंग में न जाए:
gpg --import pgp-example-19-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin